Bug 288213 - Dolphin crash when display hided folders
Summary: Dolphin crash when display hided folders
Status: RESOLVED FIXED
Alias: None
Product: dolphin
Classification: Unclassified
Component: general (show other bugs)
Version: 1.99
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Peter Penz
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-04 15:49 UTC by Yeqin
Modified: 2011-12-08 10:13 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yeqin 2011-12-04 15:49:30 UTC
Application: dolphin (1.99)
KDE Platform Version: 4.7.90 (4.8 Beta2 (4.7.90) (Compiled from sources)
Qt Version: 4.7.4
Operating System: Linux 3.1-CHAKRA x86_64
Distribution: "Chakra Linux"

-- Information about the crash:
Dolphin Crash Again When Display Hided Folders IN KDE Beta 2. The KDE Version is 4.7.9 in Chakra

-- Backtrace:
Application: Dolphin (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f4295dbd760 (LWP 2390))]

Thread 2 (Thread 0x7f427d172700 (LWP 2391)):
#0  0x00007f4293458123 in poll () from /lib/libc.so.6
#1  0x00007f429049ec14 in ?? () from /usr/lib/libglib-2.0.so.0
#2  0x00007f429049f14d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#3  0x00007f4294a22f7e in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#4  0x00007f42949f74f2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00007f42949f76f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00007f429490f02f in QThread::exec() () from /usr/lib/libQtCore.so.4
#7  0x00007f42949da52f in ?? () from /usr/lib/libQtCore.so.4
#8  0x00007f4294911a85 in ?? () from /usr/lib/libQtCore.so.4
#9  0x00007f4294687df0 in start_thread () from /lib/libpthread.so.0
#10 0x00007f429346039d in clone () from /lib/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4295dbd760 (LWP 2390)):
[KCrash Handler]
#6  0x00007f42949fbae4 in QCoreApplication::postEvent(QObject*, QEvent*, int) () from /usr/lib/libQtCore.so.4
#7  0x00007f428daa27d4 in KIO::SimpleJob::slotFinished() () from /usr/lib/libkio.so.5
#8  0x00007f428daa75c5 in KIO::ListJob::slotFinished() () from /usr/lib/libkio.so.5
#9  0x00007f428daac889 in KIO::ListJob::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkio.so.5
#10 0x00007f4294a0af0a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#11 0x00007f428db50a91 in KIO::SlaveInterface::dispatch(int, QByteArray const&) () from /usr/lib/libkio.so.5
#12 0x00007f428db4d945 in KIO::SlaveInterface::dispatch() () from /usr/lib/libkio.so.5
#13 0x00007f428db40b1e in KIO::Slave::gotInput() () from /usr/lib/libkio.so.5
#14 0x00007f428db4127c in KIO::Slave::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkio.so.5
#15 0x00007f4294a0af0a in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#16 0x00007f428da73297 in ?? () from /usr/lib/libkio.so.5
#17 0x00007f428da7333d in KIO::Connection::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkio.so.5
#18 0x00007f4294a0eaae in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#19 0x00007f4293bd7d94 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#20 0x00007f4293bdcc01 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0x00007f42957b1e26 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#22 0x00007f42949f82fc in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#23 0x00007f42949fb66f in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#24 0x00007f4294a22ab3 in ?? () from /usr/lib/libQtCore.so.4
#25 0x00007f429049e6d3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#26 0x00007f429049eeb0 in ?? () from /usr/lib/libglib-2.0.so.0
#27 0x00007f429049f14d in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#28 0x00007f4294a22f16 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#29 0x00007f4293c7acae in ?? () from /usr/lib/libQtGui.so.4
#30 0x00007f42949f74f2 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#31 0x00007f42949f76f7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0x00007f42949fb8eb in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#33 0x00007f4282cb024d in kdemain () from /usr/lib/libkdeinit4_dolphin.so
#34 0x0000000000408792 in _start ()

Reported using DrKonqi
Comment 1 Weng Xuetian 2011-12-05 03:59:51 UTC
Seems the same reason with 287642 Crashes #2 and got fixed
Comment 2 Peter Penz 2011-12-08 10:13:43 UTC
Git commit bcf5697fbd09171a6b63599c09923a17b1524d14 by Peter Penz.
Committed on 08/12/2011 at 11:05.
Pushed by ppenz into branch 'master'.

Fix "show hidden files" issues

Use KFileItemModel instead of KDirLister for toggling the whether
hidden files should be shown. This assures that the signal
KFileItemModel::loadingCompleted() will be emitted.

In the longterm Dolphin should only use the KFileItemModel, so that
the KDirLister instance is used only internally as implementation
detail in KFileItemModel. Although there are only a few cases left
where KDirLister is used instead of KFileItemModel this cleanup
will be postponed to after the 4.8 release...

BUG: 287314
BUG: 288213
FIXED-IN: 4.8.0

M  +18   -0    dolphin/src/kitemviews/kfileitemmodel.cpp
M  +19   -0    dolphin/src/kitemviews/kfileitemmodel.h
M  +2    -3    dolphin/src/panels/folders/folderspanel.cpp
M  +3    -5    dolphin/src/views/dolphinview.cpp

http://commits.kde.org/kde-baseapps/bcf5697fbd09171a6b63599c09923a17b1524d14